Gecode::BranchTraits< BoolVar > Class Reference

Traits of BoolVar for branching. More...

`#include <traits.hpp>`

## Public Types

typedef BoolBranchFilter | Filter
| Type for the branching filter function.
typedef BoolBranchMerit | Merit
| Type for the branching merit function.
typedef BoolBranchVal | Val
| Type for the branching value function.
typedef int | ValType
| Return type of the branching value function.
typedef BoolBranchCommit | Commit
| Type for the branching commit function.

## Detailed Description

Traits of BoolVar for branching.

Definition at line 54 of file traits.hpp.

## Member Typedef Documentation

## Filter

typedef BoolBranchFilter Gecode::BranchTraits< BoolVar >::Filter

Type for the branching filter function.

Definition at line 57 of file traits.hpp.

## Merit

typedef BoolBranchMerit Gecode::BranchTraits< BoolVar >::Merit

Type for the branching merit function.

Definition at line 59 of file traits.hpp.

## Val

typedef BoolBranchVal Gecode::BranchTraits< BoolVar >::Val

Type for the branching value function.

Definition at line 61 of file traits.hpp.

## ValType

typedef int Gecode::BranchTraits< BoolVar >::ValType

Return type of the branching value function.

Definition at line 63 of file traits.hpp.

## Commit

typedef BoolBranchCommit Gecode::BranchTraits< BoolVar >::Commit

Type for the branching commit function.

Definition at line 65 of file traits.hpp.

The documentation for this class was generated from the following file:

- gecode/int/branch/traits.hpp